"use strict";

$(document).ready(function() {

    $(".favorite-checkbox").click(function(e) {
        var chkbox = $(e.target);
        var form = $(e.target).parents('form')[0];
        $.post($(form).attr('action'), $(form).serialize(), function(data) {
            if(chkbox.prop('checked') !== data.renkan.favorite) {
                chkbox.prop('checked', data.renkan.favorite);
            }
        }).fail(function() {
            chkbox.prop('checked', !chkbox.prop('checked'));
        });
        
    });
});
